## SoupRequestFile SoupRequestFile — SoupRequest support for "file" and "resource" URIs |

## Functions

GFile * | soup_request_file_get_file ()

## Types and Values

| SoupRequestFile

## Object Hierarchy

        GObject
        ╰── SoupRequest
            ╰── SoupRequestFile

## Implemented Interfaces

SoupRequestFile implements GInitable.

## Includes

    #include <libsoup/soup.h>

## Description

SoupRequestFile implements SoupRequest for "file" and "resource" URIs.

## Functions

### soup_request_file_get_file ()

    GFile *
    soup_request_file_get_file (SoupRequestFile *file);

Gets a GFile corresponding to `file` 's URI

#### Parameters

file | a SoupRequestFile |

#### Returns

a GFile corresponding to `file` .

[transfer full]

Since: 2.40

## Types and Values

### SoupRequestFile

    typedef struct _SoupRequestFile SoupRequestFile;